//+------------------------------------------------------------------+
//|                                                            1.mq4 |
//|                                                   Popovich Pasha |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Popovich Pasha"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

//---- input parameters
extern int period = 5;
extern int CountBars=300;
//---- buffers
double val1[];
double val2[];
double ADA[];
double ADB[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line
   IndicatorBuffers(4);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,241);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,242);
   SetIndexBuffer(0,val1);
   SetIndexBuffer(1,val2);
   SetIndexBuffer(2,ADA);
   SetIndexBuffer(3,ADB);
   SetIndexDrawBegin(0,Bars-CountBars);
   SetIndexDrawBegin(1,Bars-CountBars);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//|                             easy                                 |
//+------------------------------------------------------------------+
int start()
  {   
   int i,counted_bars=IndicatorCounted();
   //---- check for possible errors
   if(counted_bars<0) return(-1);

i=Bars-counted_bars -1;
 while(i>=0)
  { 
 ADB[i]=iAD(NULL,0,i);
 i--;
 }
 i=Bars-counted_bars -1;
 while(i>=0)
  {
    ADA[i]=iMAOnArray(ADB,0,period,0,MODE_SMA,i);
              
 if(ADA[i]<ADA[i+1] && ADA[i+1]>ADA[i+2])
	val1[i]=Low[i]-5*Point;

 if(ADA[i]>ADA[i+1] && ADA[i+1]<ADA[i+2])
	val2[i]=High[i]+5*Point;
	i--;
}
   return(0);
  }
//+------------------------------------------------------------------+

